Ticket #38372

ltjsarticle + unicode-math で \setmathfont をしていないとエラー

Open Date: 2018-07-01 22:57 Last Update: 2018-07-28 08:48

Reporter:
Owner:
Type:
Status:
Closed
Component:
(None)
MileStone:
(None)
Priority:
5 - Medium
Severity:
5 - Medium
Resolution:
Fixed

Details

  1. \documentclass{ltjsarticle}
  2. \usepackage{luatexja}
  3. \usepackage{unicode-math}
  4. % \setmathfont{XITSMath}
  5. \begin{document}
  6. \end{document}

! Undefined control sequence.
\lltjp_um_unmag_fsize: ...@preadjust@extract@font
                                                  \cs_gset_eq:NN \lltjp_um_f...

l.5 \begin{document}
となります.ltjs 以外のクラスでは発生しないようです.

Attachment File List

No attachments

Ticket History (3/6 Histories)

2018-07-01 22:57 Updated by: kmaeda
  • New Ticket "ltjsarticle + unicode-math で \setmathfont をしていないとエラー" created
2018-07-02 01:11 Updated by: kmaeda
Comment

lltjp-unicode-math.sty を読む限り,本来エラーが起きているコードは ltjs の場合は実行されないはずのようです.この分岐は \ltjs@orig@get@external@font が定義されているかどうか(定義されているならば ltjs と判断)のようですが,ltjsclasses.dtx の794行目あたりからを見ると,

  1. \ifjsc@mag@xreal
  2. \ifdim\jsc@mpt=\p@\else
  3. ...
  4. \let\ltjs@orig@get@external@font=\get@external@font
  5. ...
  6. \fi\fi
となっていて,10pt のときには \ltjs@orig@get@external@font が未定義になってしまうようです.実際,11pt などにするとエラーが起こらなくなります.

2018-07-02 13:20 Updated by: h7k
  • Owner Update from (None) to h7k
Comment

報告ありがとうございます.

10pt のときには \ltjs@orig@get@external@font が未定義になってしまうようです.

commit 9043516 で,10pt のときには(オプティカルサイズの補正が実際にはいらないので) 「xreal オプションの効力はない」と扱う(\ifjsc@mag@xreal を \iffalse に)ことにしました.

2018-07-02 13:55 Updated by: kmaeda
Comment

確認しました.OK のようです.

2018-07-02 21:12 Updated by: None
Comment

確認しました。 ご対応ありがとうございました。

2018-07-28 08:48 Updated by: h7k
  • Status Update from Open to Closed
  • Resolution Update from None to Fixed
Comment

20180728.0 を出したので,完了とします.

Edit

You are not logged in. I you are not logged in, your comment will be treated as an anonymous post. » Login